﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="default.aspx.cs" Inherits="Infragistics.WebExcelExporter.Intro._default" %>
<%@ Register TagPrefix="ig" Namespace="Infragistics.Web.UI.GridControls" Assembly="Infragistics4.Web.v10.2, Version=10.2.20102.1, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="fMain" runat="server">
    <asp:ScriptManager runat="server" ID="sManagerMain" />
    <div>
        <ig:webexcelexporter runat="server" 
        ID="eExporter" ExportMode="Download" 
        DownloadName="ExportedData" />

          <ig:webdatagrid runat="server" ID="wdgCustomers" 
        DataSourceID="SqlDsCustomers" 
        DataKeyFields="CustomerID" 
        AutoGenerateColumns="false"
        Width="98%"
        Height="250"
       
        >
            <Columns>
                <ig:bounddatafield Key="Country" DataFieldName="Country" 
                    Header-Text="Country" />
                <ig:bounddatafield Key="City" DataFieldName="City" Header-Text="City" />
                <ig:bounddatafield Key="CompanyName" DataFieldName="CompanyName" 
                    Header-Text="Company" />
                <ig:bounddatafield Key="ContactName" DataFieldName="ContactName" 
                    Header-Text="Contact" />
                <ig:bounddatafield Key="Phone" DataFieldName="Phone" Header-Text="Phone" />
            </Columns>
            <Behaviors>
                <ig:filtering Enabled="true" />
                <ig:sorting Enabled="true" />
                <ig:paging PageSize="5" QuickPages="3" Enabled="true" 
                    PagerMode="NumericFirstLast" />
            </Behaviors>
        </ig:webdatagrid>
        <asp:SqlDataSource ID="SqlDsCustomers" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
            SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [Address], [City], [Phone], [Country] FROM [Customers] ORDER BY [Country]">
        </asp:SqlDataSource>

        <asp:Button runat="server" ID="btnExport" runat="server" Text="Export" 
            onclick="btnExport_Click" />
    </div>
    </form>
</body>
</html>
